PaidGoods
API referencePayment methods

Paste a forwarded payment email (the local path, and for emails that never arrived)

POST
/v1/stores/{storeId}/payment-emails

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/payment-emails" \  -H "Content-Type: application/json" \  -d '{    "raw": "stringstringstringst"  }'
{  "status": "captured",  "message": "string",  "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",  "email": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "paymentMethodId": "b6df8625-cd25-4123-b345-638aa7b5d011",    "methodLabel": "string",    "source": "inbound",    "fromAddress": "string",    "originalFrom": "string",    "subject": "string",    "bodyPreview": "string",    "provider": "string",    "amount": "string",    "currency": "string",    "payer": "string",    "senderAuthenticated": true,    "state": "matched",    "reason": "string",    "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",    "receivedAt": "string"  }}